package com.ruoyi.project.mapper;

import com.ruoyi.project.domain.TrsDomainWordsTenant;

import java.util.List;

/**
 * 领域常识Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public interface TrsDomainWordsTenantMapper
{
    /**
     * 查询领域常识
     * 
     * @param id 领域常识主键
     * @return 领域常识
     */
    public TrsDomainWordsTenant selectTrsDomainWordsById(Long id);

    /**
     * 查询领域常识列表
     * 
     * @param trsDomainWords 领域常识
     * @return 领域常识集合
     */
    public List<TrsDomainWordsTenant> selectTrsDomainWordsList(TrsDomainWordsTenant trsDomainWords);

    /**
     * 新增领域常识
     * 
     * @param trsDomainWords 领域常识
     * @return 结果
     */
    public int insertTrsDomainWords(TrsDomainWordsTenant trsDomainWords);

    /**
     * 修改领域常识
     * 
     * @param trsDomainWords 领域常识
     * @return 结果
     */
    public int updateTrsDomainWords(TrsDomainWordsTenant trsDomainWords);

    /**
     * 删除领域常识
     * 
     * @param id 领域常识主键
     * @return 结果
     */
    public int deleteTrsDomainWordsById(Long id);

    /**
     * 批量删除领域常识
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsDomainWordsByIds(String[] ids);

    List<TrsDomainWordsTenant> selectTrsWordsListByErrorWord(String wrongWord);
}
